/******************************************************
*
* copyright by H.G.Kleta, 2002, 2006
*
* if you wish to use these sources, please contact
*
* fhw at indigo2 dot de
*
******************************************************/

#ifndef __CALLBACK_H_
#define __CALLBACK_H_


/******************************************************
*
* includes
*
******************************************************/

#include <stdio.h>
#include <stdlib.h>
#include <GL/glut.h>

#include "global.h"
#include "mt_types.h"


/******************************************************
*
* void KeyCallback(unsigned char key, int x, int y)
*
* OpenGL key callback function
*
******************************************************/

void KeyCallback(unsigned char key, int x, int y);


/******************************************************
*
* void MouseCallback(int button, int state, int x, int y)
*
* OpenGL mouse callback function
*
******************************************************/

void MouseCallback(int button, int state, int x, int y);


/******************************************************
*
* void MoveCallback(int button, int state, int x, int y)
*
* OpenGL motion callback function
*
******************************************************/

void MoveCallback(int x, int y);


/*****************************************************/

#endif /* __CALLBACK_H_ */

/* END OF FILE */
